Skip to main content

Merchant-Initiated Sale for Mastercard Debt Recovery


Use this information to process a merchant-initiated sale for debt recovery using card data.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "comments": "TransitDA Debt recovery MIT sale",    "code": "12345678",    "transactionId": "11111111",    "partner": {      "thirdPartyCertificationNumber": "Test1234",      "solutionId": "Test1234"    }  },  "processingInformation": {    "linkId": "7781511099196451104806",    "capture": "true",    "commerceIndicator": "moto",    "industryDataType": "transit",    "authorizationOptions": {      "authIndicator": "1",      "debtRecoveryIndicator": true,      "partialAuthIndicator": false,      "ignoreAvsResult": true,      "ignoreCvResult": true,      "transportationMode": "00"    }  },  "paymentInformation": {    "card": {      "number": "5xxxxxxxxxxx5454",      "expirationMonth": "12",      "expirationYear": "2030",      "type": "002"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "3.00",      "currency": "EUR"    }  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/payments/7799475532416439004807/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7799475532416439004807"    }  },  "clientReferenceInformation": {    "code": "12345678",    "comments": "TransitDA Debt recovery MIT sale",    "partner": {      "solutionId": "Test1234"    },    "transactionId": "2309146064"  },  "id": "7799475532416439004807",  "issuerInformation": {    "clearingData": "6700040102F0F1"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "3.00",      "authorizedAmount": "3.00",      "currency": "EUR"    }  },  "paymentAccountInformation": {    "card": {      "type": "002"    }  },  "paymentInformation": {    "tokenizedCard": {      "type": "002"    },    "card": {      "type": "002"    }  },  "processorInformation": {    "systemTraceAuditNumber": "051520",    "merchantNumber": "123456789012345",    "approvalCode": "300664",    "merchantAdvice": {      "code": "01",      "codeRaw": "M001"    },    "responseDetails": "ABC",    "networkTransactionId": "0528MCC269181",    "retrievalReferenceNumber": "614705051520",    "consumerAuthenticationResponse": {      "code": "2",      "codeRaw": "2"    },    "transactionId": "0528MCC269181",    "responseCode": "00",    "avs": {      "code": "1"    }  },  "reconciliationId": "7799475532416439004807",  "status": "AUTHORIZED",  "submitTimeUtc": "2026-05-28T05:52:33Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet this field to TransitDA Debt recovery MIT sale.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.number
paymentInformation.card.type
processingInformation.authorizationOptions.authIndicatorSet this field to 1.
processingInformation.authorizationOptions.debtRecoveryIndicatorSet this field to true.
processingInformation.authorizationOptions.ignoreAvsResultSet this field to true.
processingInformation.authorizationOptions.ignoreCvResultSet this field to true.
processingInformation.authorizationOptions.partialAuthIndicatorSet this field to false.
processingInformation.authorizationOptions.transportationMode
processingInformation.captureSet this field to true.
processingInformation.commerceIndicatorSet this field to moto.
processingInformation.industryDataTypeSet this field to transit.
processingInformation.linkId

Last published: September 29, 2026